Update an IP Access rule
PATCH/{accounts_or_zones}/{account_or_zone_id}/firewall/access_rules/rules/{rule_id}
Updates an IP Access rule defined.
Note: This operation will affect all zones in the account or zone.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Body ParametersJSON
Update an IP Access rule
curl https://api.cloudflare.com/client/v4/$ACCOUNTS_OR_ZONES/$ACCOUNT_OR_ZONE_ID/firewall/access_rules/rules/$RULE_ID \
-X PATCH \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"configuration": {},
"mode": "challenge",
"notes": "This rule is enabled because of an event that occurred on date X."
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "92f17202ed8bd63d69a66b86a49a8f6b",
"allowed_modes": [
"whitelist",
"block",
"challenge",
"js_challenge",
"managed_challenge"
],
"configuration": {
"target": "ip",
"value": "198.51.100.4"
},
"mode": "challenge",
"created_on": "2014-01-01T05:20:00.12345Z",
"modified_on": "2014-01-01T05:20:00.12345Z",
"notes": "This rule is enabled because of an event that occurred on date X.",
"scope": {
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"email": "user@example.com",
"type": "user"
}
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "92f17202ed8bd63d69a66b86a49a8f6b",
"allowed_modes": [
"whitelist",
"block",
"challenge",
"js_challenge",
"managed_challenge"
],
"configuration": {
"target": "ip",
"value": "198.51.100.4"
},
"mode": "challenge",
"created_on": "2014-01-01T05:20:00.12345Z",
"modified_on": "2014-01-01T05:20:00.12345Z",
"notes": "This rule is enabled because of an event that occurred on date X.",
"scope": {
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"email": "user@example.com",
"type": "user"
}
},
"success": true
}